apply plugin: 'com.android.application'
//apply plugin: 'io.fabric'
apply plugin: 'com.google.gms.google-services'
apply plugin: 'com.google.firebase.crashlytics'
android {
    compileSdkVersion 29
    buildToolsVersion '29.0.3'

    useLibrary 'org.apache.http.legacy'

    lintOptions {
        disable 'MissingTranslation'
    }

    configurations {
        all*.exclude module: 'okio'
        all*.exclude group: 'com.squareup.okhttp3', module: 'okhttp'
        all*.exclude module: 'support-v4' // This removes all other versions of `support-v4` if gets duplicated from all the artifacts.
    }

    defaultConfig {
        applicationId "cpm.com.gskmtorange"
        minSdkVersion 20
        targetSdkVersion 29

        /*//For Egypt
        versionCode 31
        versionName "4.3"*/

        //For UAE
        versionCode 26
        versionName "3.8"


        //For Turkey
       /* versionCode 25
        versionName "3.6"*/

        //For KSA
       /* versionCode 28
        versionName "4.0"*/
     /*   versionCode 27
        versionName "3.8"*/

        //For SA
       /* versionCode 28
        versionName "3.9"
*/
        //sa
     /*  versionCode 22
        versionName "3.4"*/

        //Kenya
       /* versionCode 2
        versionName "1.1"*/
        multiDexEnabled true

        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    firebaseCrashlytics {
        nativeSymbolUploadEnabled true
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'com.google.android.material:material:1.2.1'
    implementation project(path: ':library')
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    testImplementation 'junit:junit:4.13.1'
    implementation 'android.arch.navigation:navigation-fragment:1.0.0'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    implementation 'com.google.code.gson:gson:2.8.6'
    implementation 'com.github.bumptech.glide:glide:4.11.0'
    implementation platform('com.google.firebase:firebase-bom:25.12.0')
    implementation 'com.google.firebase:firebase-analytics'
    implementation 'com.google.firebase:firebase-crashlytics-ndk'
    implementation 'com.google.firebase:firebase-messaging'
    implementation 'com.google.android.gms:play-services-location:17.1.0'
    implementation 'com.google.android.gms:play-services-maps:17.0.0'
    implementation 'com.kyanogen.signatureview:signature-view:1.0'
    implementation 'com.android.support:multidex:1.0.3'
    implementation files('libs/ksoap2-android-assembly-3.6.2-jar-with-dependencies.jar')
    implementation 'com.squareup.retrofit2:retrofit:2.0.2'
    implementation 'com.squareup.retrofit:converter-gson:2.0.0-beta1'
    implementation 'com.squareup.retrofit2:converter-gson:2.0.2'
    implementation 'com.google.firebase:firebase-appindexing:19.1.0'
}
apply plugin: 'com.google.gms.google-services'


